## ros-noetic-rqt-tf-tree 0.6.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_tf_tree)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_tf_tree
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/dotcode_tf_test.py
     DEPENDENCIES ${${PROJECT_NAME}_EXPORTED_TARGETS})
endif()

=== debian/changelog ===
ros-noetic-rqt-tf-tree (0.6.3-1focal) focal; urgency=high

  * Added new maintainers
  * Use yaml.safe_load instead of yaml.load fixing (#29 <https://github.com/ros-visualization/rqt_tf_tree/issues/29>)

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Mon, 28 Mar 2022 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.6.2-1focal) focal; urgency=high

  * fix shebang line for Python 3 (#21 <https://github.com/ros-visualization/rqt_tf_tree/issues/21>)

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Sun, 13 Sep 2020 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.6.1-1focal) focal; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning
  * remove unused dependencies (#15 <https://github.com/ros-visualization/rqt_tf_tree/issues/15>)
  * minor cleanup (#12 <https://github.com/ros-visualization/rqt_tf_tree/issues/12>)

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Mon, 16 Mar 2020 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.6.0-1focal) focal; urgency=high

  * [capability] add button for clearing the TF buffer #9 <https://github.com/ros-visualization/rqt_tf_tree/issues/9> from christian-rauch/clear_tf_buffer
  * [maintenance] Integrate an existing testcase upon build by Catkin. #5 <https://github.com/ros-visualization/rqt_tf_tree/issues/5>
  * Contributors: Christian Rauch, Isaac I.Y. Saito, Peter Han

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Sat, 02 Feb 2019 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.5.8-1focal) focal; urgency=high

  * [fix] child_frame_id format #6 <https://github.com/ros-visualization/rqt_tf_tree/issues/6>
  * Update maintainer
  * Contributors: Dirk Thomas, Isaac I.Y. Saito, Peter Han

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Sun, 23 Jul 2017 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.5.7-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Wed, 26 Apr 2017 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.5.6-1focal) focal; urgency=high

  * use Python 3 compatible syntax (#121 <https://github.com/ros-visualization/rqt_robot_plugins/pull/121>)

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Mon, 23 Jan 2017 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.5.5-1focal) focal; urgency=high

  * fix tf parent to always convert to string (#113 <https://github.com/ros-visualization/rqt_robot_plugins/pull/113>)

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Tue, 01 Nov 2016 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.5.4-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Sun, 18 Sep 2016 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.5.3-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Sun, 15 May 2016 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.5.2-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Thu, 28 Apr 2016 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.5.1-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Wed, 27 Apr 2016 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.5.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#101 <https://github.com/ros-visualization/rqt_robot_plugins/pull/101>)

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Tue, 26 Apr 2016 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.4.3-1focal) focal; urgency=high

  * use proper icon for images
  * Contributors: Vincent Rabaud

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Mon, 07 Mar 2016 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.4.2-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Thu, 23 Jul 2015 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.4.1-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Wed, 29 Apr 2015 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.4.0-1focal) focal; urgency=high

  * update script to use full plugin name

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Tue, 04 Nov 2014 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.3.7-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Sun, 17 Aug 2014 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.3.6-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Thu, 10 Jul 2014 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.3.5-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Sun, 01 Jun 2014 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.3.4-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Tue, 06 May 2014 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.3.3-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Mon, 27 Jan 2014 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.3.2-1focal) focal; urgency=high

  * add groups for rqt plugins (ros-visualization/rqt_common_plugins#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Tue, 07 Jan 2014 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.3.1-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Tue, 08 Oct 2013 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.3.0-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Tue, 27 Aug 2013 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.2.16-1focal) focal; urgency=high

  * First public release into Hydro

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Mon, 08 Jul 2013 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.2.15-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Wed, 24 Apr 2013 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.2.14-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Thu, 11 Apr 2013 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.2.13-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Mon, 08 Apr 2013 15:00:00 -0000

ros-noetic-rqt-tf-tree (0.2.12-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Sat, 06 Apr 2013 09:22:00 -0000

ros-noetic-rqt-tf-tree (0.2.11-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Sat, 06 Apr 2013 09:00:00 -0000

ros-noetic-rqt-tf-tree (0.2.10-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <gm130s@gmail.com>  Wed, 03 Apr 2013 15:00:00 -0000



=== debian/control ===
Source: ros-noetic-rqt-tf-tree
Section: misc
Priority: optional
Maintainer: Isaac I.Y. Saito <gm130s@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-mock, ros-noetic-catkin
Homepage: http://wiki.ros.org/rqt_tf_tree
Standards-Version: 3.9.2

Package: ros-noetic-rqt-tf-tree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-python-qt-binding (>= 0.2.19), ros-noetic-qt-dotgraph, ros-noetic-rospy, ros-noetic-rqt-graph, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py, ros-noetic-tf2-msgs, ros-noetic-tf2-ros
Description: rqt_tf_tree provides a GUI plugin for visualizing the ROS TF frame tree.

## ros-noetic-rqt-tf-tree 0.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.5)
 project(rqt_tf_tree)
 # Load catkin and all dependencies required for this package
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-noetic-rqt-tf-tree (0.6.5-1focal) focal; urgency=high

  * Bump cmake_minimum_required to avoid deprecation (#51 <https://github.com/ros-visualization/rqt_tf_tree/issues/51>)
  * Contributors: Arne Hitzmann

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Sat, 26 Apr 2025 00:00:00 -0000

ros-noetic-rqt-tf-tree (0.6.4-1focal) focal; urgency=high

  * Fix dot save according to the PyQt5 (#28 <https://github.com/ros-visualization/rqt_tf_tree/issues/28>)
  * Import setup from setuptools instead of distutils.core (#45 <https://github.com/ros-visualization/rqt_tf_tree/issues/45>)
  * Add xml-model
  * Add LICENSE file

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Mon, 02 Oct 2023 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Isaac I.Y. Saito <gm130s@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), python3-mock, ros-noetic-catkin
+Build-Depends: debhelper (>= 9.0.0), python3-mock <!nocheck>, python3-setuptools, ros-noetic-catkin
 Homepage: http://wiki.ros.org/rqt_tf_tree
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-tf-tree//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
